package com.bonus.canteen.core.supply.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.time.LocalDate;
import java.util.List;

@ApiModel(
   description = "新增供应商报价入参"
)
public class DrpQuoteAddDTO {
   @ApiModelProperty("询价单号")
   private @NotBlank(
   message = "询价单号不能为空!"
) String inquiryId;
   @ApiModelProperty("询价供应商主键id")
   private @NotNull(
   message = "询价供应商主键id为空!"
) Long inquirySupplierId;
   @ApiModelProperty("报价说明")
   private String quoteDescription;
   @ApiModelProperty("报价总金额")
   private Integer quoteAmount;
   @ApiModelProperty("送货日期")
   private LocalDate arrivalTime;
   @ApiModelProperty("报价详情")
   private List<DrpQuoteAddDetailDTO> detailList;

   public String getInquiryId() {
      return this.inquiryId;
   }

   public Long getInquirySupplierId() {
      return this.inquirySupplierId;
   }

   public String getQuoteDescription() {
      return this.quoteDescription;
   }

   public Integer getQuoteAmount() {
      return this.quoteAmount;
   }

   public LocalDate getArrivalTime() {
      return this.arrivalTime;
   }

   public List<DrpQuoteAddDetailDTO> getDetailList() {
      return this.detailList;
   }

   public void setInquiryId(final String inquiryId) {
      this.inquiryId = inquiryId;
   }

   public void setInquirySupplierId(final Long inquirySupplierId) {
      this.inquirySupplierId = inquirySupplierId;
   }

   public void setQuoteDescription(final String quoteDescription) {
      this.quoteDescription = quoteDescription;
   }

   public void setQuoteAmount(final Integer quoteAmount) {
      this.quoteAmount = quoteAmount;
   }

   public void setArrivalTime(final LocalDate arrivalTime) {
      this.arrivalTime = arrivalTime;
   }

   public void setDetailList(final List<DrpQuoteAddDetailDTO> detailList) {
      this.detailList = detailList;
   }


   public String toString() {
      String var10000 = this.getInquiryId();
      return "DrpQuoteAddDTO(inquiryId=" + var10000 + ", inquirySupplierId=" + this.getInquirySupplierId() + ", quoteDescription=" + this.getQuoteDescription() + ", quoteAmount=" + this.getQuoteAmount() + ", arrivalTime=" + String.valueOf(this.getArrivalTime()) + ", detailList=" + String.valueOf(this.getDetailList()) + ")";
   }
}
